commit:     7a41148836ea91436568df003367d882e26c2306
Author:     end222 <pabloorduna98 <AT> gmail <DOT> com>
AuthorDate: Sun Jun 28 09:06:13 2020 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Sun Jun 28 10:40:59 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7a411488

x11-terms/kitty-terminfo: bump to 0.18.1

Signed-off-by: Pablo Orduna <pabloorduna98 <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/16395
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 x11-terms/kitty-terminfo/Manifest                  |  1 +
 .../kitty-terminfo/kitty-terminfo-0.18.1.ebuild    | 41 ++++++++++++++++++++++
 2 files changed, 42 insertions(+)

diff --git a/x11-terms/kitty-terminfo/Manifest 
b/x11-terms/kitty-terminfo/Manifest
index a441c39bf25..5de3ecb148d 100644
--- a/x11-terms/kitty-terminfo/Manifest
+++ b/x11-terms/kitty-terminfo/Manifest
@@ -1,3 +1,4 @@
 DIST kitty-0.17.2.tar.xz 3044140 BLAKE2B 
12dcb8ddb7d90a22904f575301e8c2b1672c3212ee29a035fa5e8eec553dafb0e2c8c1cc3a491c8ac6854d619e979e518d83c5218f36647a032a4f847d068ef3
 SHA512 
bccf1c1d60d1149bc5f849b82db1af80a2d9a7a11c5f2df853daae5700550eef98da389a30f015d67be796f39deacb31f3ee245eb37ba1a41ba377c70cd26d61
 DIST kitty-0.17.3.tar.xz 3064216 BLAKE2B 
f5ab532d97c211ceed463c24758635a9e7168bf03990889a98ebdad7fc8c1c60f5f3726724007f00ac6a5f5e8db44ca54a4a43027dbf6ce1fdfcaa40c7b8e10c
 SHA512 
dc14ba35e77e0ebd1978fde0731b00e726e75137f900952dfa6b06add1f46e3a3f42e8e886ce8c689e4e3500f2d2216a66225d5211522a41d09ef61265065e2d
 DIST kitty-0.17.4.tar.xz 3068456 BLAKE2B 
7c3be1bd9e1be814ca2c98ac8bed5c8ac906021efee9e399bddb8d1f2d6faa4368f08741fd24666892272c5ffc68e62d490f3a3b20a4f1cb1025401741ace29f
 SHA512 
4ea954a59f44b04a1540d814892b08c93e37c07d7dd32b5db3f50806fa6f39a8a89957c216e47b43bf7aa9571dd0200de7dc12266cc672c9e70e39b2133da0d7
+DIST kitty-0.18.1.tar.xz 3098940 BLAKE2B 
c54f9e7996e8e17182d5cdb3f915964b2626985992dc9f8bf2f11d086475fd7b13ee131aaf942f521cd6356ac13f7efdf436253237022532ffc68cb7923bc645
 SHA512 
d1870fa8c1c42c9a20251ba7819fb649760a98070653cff6bbc0ef86160d6b20070bbfe4e549b80d75d7a78b37cb3c1153e4be246709cf630129cd4d09a76604

diff --git a/x11-terms/kitty-terminfo/kitty-terminfo-0.18.1.ebuild 
b/x11-terms/kitty-terminfo/kitty-terminfo-0.18.1.ebuild
new file mode 100644
index 00000000000..b37c1bba5c1
--- /dev/null
+++ b/x11-terms/kitty-terminfo/kitty-terminfo-0.18.1.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8} )
+
+inherit python-any-r1 toolchain-funcs xdg
+
+DESCRIPTION="Terminfo for kitty, an OpenGL-based terminal emulator"
+HOMEPAGE="https://github.com/kovidgoyal/kitty";
+SRC_URI="https://github.com/kovidgoyal/kitty/releases/download/v${PV}/kitty-${PV}.tar.xz";
+S="${WORKDIR}/kitty-${PV}"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="debug"
+
+DEPEND="${PYTHON_DEPS}"
+
+PATCHES=(
+       "${FILESDIR}"/kitty-terminfo-setup-0.17.2.patch
+)
+
+# kitty-terminfo is a split package from kitty that only installs the terminfo
+# file. As tests are designed to be run with the whole package compiled they
+# would fail in this case.
+RESTRICT="test"
+
+src_compile() {
+       "${EPYTHON}" setup.py \
+               --verbose $(usex debug --debug "") \
+               --libdir-name $(get_libdir) \
+               linux-terminfo || die "Failed to compile kitty."
+}
+
+src_install() {
+       insinto /usr
+       doins -r linux-package/*
+}

Reply via email to